Skip to main content
GET
Get organization profile

Authorizations

X-API-Key
string
header
required

API key for authentication

Query Parameters

includeOwnership
string

Include ownership data for transfer UI

Response

Organization information retrieved successfully

id
string

The organization ID

Example:

"org_abc123def456"

name
string

Organization name

Example:

"Acme Corporation"

slug
string

Organization slug

Example:

"acme-corp"

logo
string | null

Organization logo URL

Example:

"https://example.com/logo.png"

metadata
string | null

Additional metadata in JSON format

Example:

"{\"theme\": \"dark\", \"preferences\": {}}"

website
string | null

Organization website URL

Example:

"https://acme-corp.com"

onboardingCompleted
boolean

Whether onboarding is completed

Example:

true

hasAccess
boolean

Whether organization has access to the platform

Example:

true

fleetDmLabelId
integer | null

FleetDM label ID for device management

Example:

123

isFleetSetupCompleted
boolean

Whether FleetDM setup is completed

Example:

false

primaryColor
string | null

Organization primary color in hex format

Example:

"#3B82F6"

createdAt
string<date-time>

When the organization was created

authType
enum<string>

How the request was authenticated

Available options:
api-key,
session